Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Interface OpenMBeanInfo

All Known Implementing Classes:
  OpenMBeanInfoSupport

public interface OpenMBeanInfo

An MBean is an OpenMBean when its getMBeanInfo() returns an MBeanInfo implementing this interface and extending javax.management.MBeanInfo.

`OpenMBeanInfoSupport` is an example of such a class.

The MBean info classes should be the OpenInfo versions. e.g. an `OpenMBeanAttributeInfo` instead of MBeanAttributeInfo.

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock.

Method Summary
`boolean` | `equals(Object obj)` Compares an object for equality with the implementing class.
`MBeanAttributeInfo[]` | `getAttributes()` Retrieve an array of OpenMBeanAttributeInfos describing each attribute of the open mbean.
`String` | `getClassName()` Retrieve the fully qualified class name of the open MBean the implementation of this interface describes.
`MBeanConstructorInfo[]` | `getConstructors()` Retrieve an array of OpenMBeanConstructorInfos describing each constructor of the open mbean.
`String` | `getDescription()` Retrieve a human readable description of the open MBean the implementation of this interface describes.
`MBeanNotificationInfo[]` | `getNotifications()` Retrieve an array of MBeanNotificationInfos describing each notification of the open mbean.
`MBeanOperationInfo[]` | `getOperations()` Retrieve an array of OpenMBeanOperationInfos describing each operation of the open mbean.
`int` | `hashCode()` Generates a hashcode for the implementation.
`String` | `toString()` A string representation of the open mbean info.

Method Detail

### getClassName

    public String getClassName()

  Retrieve the fully qualified class name of the open MBean the implementation of this interface describes.

  Returns:
    the fully qualified class name.

### getDescription

    public String getDescription()

  Retrieve a human readable description of the open MBean the implementation of this interface describes.

  Returns:
    the description.

### getAttributes

    public MBeanAttributeInfo[] getAttributes()

  Retrieve an array of OpenMBeanAttributeInfos describing each attribute of the open mbean.

  Each instance should also implement OpenMBeanAttributeInfo

  Returns:
    the array of attributes.

### getOperations

    public MBeanOperationInfo[] getOperations()

  Retrieve an array of OpenMBeanOperationInfos describing each operation of the open mbean.

  Each instance should also implement OpenMBeanOperationInfo

  Returns:
    the array of operations.

### getConstructors

    public MBeanConstructorInfo[] getConstructors()

  Retrieve an array of OpenMBeanConstructorInfos describing each constructor of the open mbean.

  Each instance should also implement OpenMBeanConstructorInfo

  Returns:
    the array of constructors.

### getNotifications

    public MBeanNotificationInfo[] getNotifications()

  Retrieve an array of MBeanNotificationInfos describing each notification of the open mbean.

  Returns:
    the array of notifications.

### equals

    public boolean equals(Object obj)

  Compares an object for equality with the implementing class.

  The object is not null
  The object implements the open mbean info interface
  The getClassName() methods return strings that are equal
  The information objects (attributes, constructors, operations and notifications) are the equal

  Parameters:
    `obj` - the object to test
  Returns:
    true when above is true, false otherwise

### hashCode

    public int hashCode()

  Generates a hashcode for the implementation.

  The hashcode is the sum of the hashcodes for
  getClassName()
  java.util.HashSet(java.util.Arrays.asList(getAttributes()).hashCode()
  java.util.HashSet(java.util.Arrays.asList(getConstructors()).hashCode()
  java.util.HashSet(java.util.Arrays.asList(getOperations()).hashCode()
  java.util.HashSet(java.util.Arrays.asList(getNotifications()).hashCode()

  Returns:
    the calculated hashcode

### toString

    public String toString()

  A string representation of the open mbean info.

  It is made up of
  The implementing class
  getClassName()
  toString() for each of the info arrays

  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.